%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  satdad
%global packver   1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Sensitivity Analysis Tools for Dependence and Asymptotic Dependence

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildRequires:    R-CRAN-Rcpp >= 0.12.10
BuildRequires:    R-CRAN-igraph 
BuildRequires:    R-CRAN-maps 
BuildRequires:    R-CRAN-partitions 
BuildRequires:    R-CRAN-graphicalExtremes 
BuildRequires:    R-CRAN-RcppArmadillo 
BuildRequires:    R-CRAN-BH 
Requires:         R-CRAN-Rcpp >= 0.12.10
Requires:         R-CRAN-igraph 
Requires:         R-CRAN-maps 
Requires:         R-CRAN-partitions 
Requires:         R-CRAN-graphicalExtremes 

%description
Tools for analyzing tail dependence in any sample or in particular
theoretical models.  The package uses only theoretical and non parametric
methods, without inference.  The primary goals of the package are to
provide: (a)symmetric multivariate extreme value models in any dimension;
theoretical and empirical indices to order tail dependence; theoretical
and empirical graphical methods to visualize tail dependence.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
